| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DNNModelSFace Class Reference
Inheritance diagram for Digikam::DNNModelSFace:

## Public Member Functions
| DNNModelSFace (const DNNModelInfoContainer &_info)
cv::Ptr< cv::FaceRecognizerSF > & | getNet ()
Public Member Functions inherited from Digikam::DNNModelBase
| DNNModelBase (const DNNModelInfoContainer &_info)
DownloadInfo | getDownloadInformation () const
const QString | getModelPath () const
float | getThreshold (int uiThreshold=DNN_MODEL_THRESHOLD_NOT_SET) const

## Additional Inherited Members
Public Attributes inherited from Digikam::DNNModelBase
const DNNModelInfoContainer | info
| Information about the model.
bool | modelLoaded = false
| Indicate if the model has been loaded.
QMutex | mutex
| Mutex to single-thread model during critical processing functions.
Protected Member Functions inherited from Digikam::DNNModelBase
bool | checkFilename () const
const QPair< int, int > | getBackendAndTarget () const
Protected Attributes inherited from Digikam::DNNModelBase
QMutex | loaderMutex